#ifndef ARRAY_H_INCLUDED
#define ARRAY_H_INCLUDED
#include <stdlib.h>

struct var_int_array;
typedef struct var_int_array varray;

varray* var_int_array_new();
void var_int_array_destroy(varray*);

size_t var_int_array_size(const varray*);

int var_int_array_append(varray*, int value);
int var_int_array_pop(varray*);

int var_int_array_get(const varray*, size_t idx);
void var_int_array_put(varray*, size_t idx, int val);

#endif
